org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaAbstractOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SchemaAbstractAlterTableOperation, SchemaIndexAbstractOperation

    public abstract class SchemaAbstractOperation
    extends Object
    implements Serializable

Abstract operation on schema.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaAbstractOperation(UUID opId, String cacheName, String schemaName)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `cacheName()`
`UUID` `id()`
`String` `schemaName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaAbstractOperation

    public SchemaAbstractOperation(UUID opId,
                                   String cacheName,
                                   String schemaName)

Constructor.

Parameters:
  `opId` - Operation ID.
  `schemaName` - Schema name.

### Method Detail

#### id

    public UUID id()

Returns:
  Operation id.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018